Class | Tk::BWidget::MainFrame
In: | tk/lib/tkextlib/bwidget/mainframe.rb
Parent: | TkWindow

### Methods

add_indicator add_toolbar get_frame get_indicator get_menu get_toolbar set_menustate show_statusbar show_toolbar

### Constants

TkCommandNames | = | ['MainFrame'.freeze].freeze
WidgetClassName | = | 'MainFrame'.freeze

### Public Instance methods

add_indicator(keys={}, &b)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 42
      def add_indicator(keys={}, &b)
        win = window(tk_send('addindicator', *hash_kv(keys)))
        win.instance_eval(&b) if b
        win
      end

add_toolbar(&b)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 48
      def add_toolbar(&b)
        win = window(tk_send('addtoolbar'))
        win.instance_eval(&b) if b
        win
      end

get_frame(&b)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 54
      def get_frame(&b)
        win = window(tk_send('getframe'))
        win.instance_eval(&b) if b
        win
      end

get_indicator(idx, &b)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 60
      def get_indicator(idx, &b)
        win = window(tk_send('getindicator', idx))
        win.instance_eval(&b) if b
        win
      end

get_menu(menu_id, &b)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 66
      def get_menu(menu_id, &b)
        win = window(tk_send('getmenu', menu_id))
        win.instance_eval(&b) if b
        win
      end

get_toolbar(idx, &b)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 72
      def get_toolbar(idx, &b)
        win = window(tk_send('gettoolbar', idx))
        win.instance_eval(&b) if b
        win
      end

set_menustate(tag, state)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 78
      def set_menustate(tag, state)
        tk_send('setmenustate', tag, state)
        self
      end

show_statusbar(name)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 83
      def show_statusbar(name)
        tk_send('showstatusbar', name)
        self
      end

show_toolbar(idx, mode)

[Source]

    # File tk/lib/tkextlib/bwidget/mainframe.rb, line 88
      def show_toolbar(idx, mode)
        tk_send('showtoolbar', idx, mode)
        self
      end

[Validate]